Subject: [alpine-aports] [PATCH] testing/innoextract: new aport

From: Michael Koloberdin <[email-masked]>
Date: Wed, 11 Nov 2015 13:55:10 +0000

http://constexpr.org/innoextract/
A tool to extract installers created by Inno Setup
---
 testing/innoextract/APKBUILD | 45 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 testing/innoextract/APKBUILD

diff --git a/testing/innoextract/APKBUILD b/testing/innoextract/APKBUILD
new file mode 100644
index 0000000..0857eba
--- /dev/null
+++ b/testing/innoextract/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Michael Koloberdin <[email-masked]>
+# Maintainer: Michael Koloberdin <[email-masked]>
+pkgname=innoextract
+pkgver=1.5
+pkgrel=0
+pkgdesc="A tool to extract installers created by Inno Setup"
+url="http://constexpr.org/innoextract/"
+arch="all"
+license="ZLIB"
+depends="boost xz"
+depends_dev="cmake boost-dev xz-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://constexpr.org/innoextract/files/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_BUILD_TYPE=Release . || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	
+	install -Dm644 README.md "$pkgdir"/usr/share/doc/$pkgname/README.md || return 1
+	install -m644 CHANGELOG "$pkgdir"/usr/share/doc/$pkgname/CHANGELOG || return 1
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+
+md5sums="86dc2061e86df5ae8872cb7deacfcaf5  innoextract-1.5.tar.gz"
+sha256sums="f2594e992ccf2859455475794803b29a67393fadb69d4df1eec34c451ffa48cf  innoextract-1.5.tar.gz"
+sha512sums="759c319c1f0737b9120ed4613bcab4bebcbb28749d9bbfa46ccb7b4f7640352b4ef01a03ed142c61f67188a83635d4e03e7b0708b913e1f47c09e5189bb56dd6  innoextract-1.5.tar.gz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---